Erstellt oder aktualisiert eine Datenbank-Datenmaskierungsrichtlinie.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/dataMaskingPolicies/Default?api-version=2025-01-01
URI-Parameter
| Name |
In |
Erforderlich |
Typ |
Beschreibung |
|
databaseName
|
path |
True
|
string
|
Der Name der Datenbank.
|
|
dataMaskingPolicyName
|
path |
True
|
DataMaskingPolicyName
|
Der Name der Datenbank, für die die Datenmaskierungsrichtlinie gilt.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet.
|
|
serverName
|
path |
True
|
string
|
Name des Servers
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Die ID des Zielabonnements. Der Wert muss eine UUID sein.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Die API-Version, die für diesen Vorgang verwendet werden soll.
|
Anforderungstext
| Name |
Erforderlich |
Typ |
Beschreibung |
|
properties.dataMaskingState
|
True
|
DataMaskingState
|
Der Status der Datenformatierungsrichtlinie.
|
|
properties.exemptPrincipals
|
|
string
|
Die Liste der ausgenommenen Prinzipale. Gibt die durch Semikolons getrennte Liste von Datenbankbenutzern an, für die die Datenformatierungsrichtlinie nicht gilt. Die angegebenen Benutzer erhalten Datenergebnisse, ohne für alle Datenbankabfragen maskieren zu müssen.
|
Antworten
| Name |
Typ |
Beschreibung |
|
200 OK
|
DataMaskingPolicy
|
Die Aktualisierungsoperation der Ressource 'DataMaskingPolicy' war erfolgreich
|
|
201 Created
|
DataMaskingPolicy
|
Die Erstellungsoperation der Ressource 'DataMaskingPolicy' war erfolgreich
|
|
Other Status Codes
|
ErrorResponse
|
Unerwartete Fehlerantwort.
|
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name |
Beschreibung |
|
user_impersonation
|
Identitätswechsel ihres Benutzerkontos
|
Beispiele
Create or update data masking policy max
Beispielanforderung
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default?api-version=2025-01-01
{
"properties": {
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;"
}
}
import com.azure.resourcemanager.sql.fluent.models.DataMaskingPolicyInner;
import com.azure.resourcemanager.sql.models.DataMaskingPolicyName;
import com.azure.resourcemanager.sql.models.DataMaskingState;
/**
* Samples for DataMaskingPolicies CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
*/
/**
* Sample code: Create or update data masking policy max.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDataMaskingPolicyMax(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDataMaskingPolicies().createOrUpdateWithResponse("sqlcrudtest-6852",
"sqlcrudtest-2080", "sqlcrudtest-331", DataMaskingPolicyName.DEFAULT, new DataMaskingPolicyInner()
.withDataMaskingState(DataMaskingState.ENABLED).withExemptPrincipals("testuser;"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python data_masking_policy_create_or_update_max.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.data_masking_policies.create_or_update(
resource_group_name="sqlcrudtest-6852",
server_name="sqlcrudtest-2080",
database_name="sqlcrudtest-331",
parameters={"properties": {"dataMaskingState": "Enabled", "exemptPrincipals": "testuser;"}},
)
print(response)
# x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a database data masking policy.
*
* @summary creates or updates a database data masking policy.
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
*/
async function createOrUpdateDataMaskingPolicyMax() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.dataMaskingPolicies.createOrUpdate(
"sqlcrudtest-6852",
"sqlcrudtest-2080",
"sqlcrudtest-331",
{ dataMaskingState: "Enabled", exemptPrincipals: "testuser;" },
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/DataMaskingPolicyCreateOrUpdateMax.json
// this example is just showing the usage of "DataMaskingPolicies_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this DataMaskingPolicyResource created on azure
// for more information of creating DataMaskingPolicyResource, please refer to the document of DataMaskingPolicyResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-6852";
string serverName = "sqlcrudtest-2080";
string databaseName = "sqlcrudtest-331";
DataMaskingPolicyName dataMaskingPolicyName = DataMaskingPolicyName.Default;
ResourceIdentifier dataMaskingPolicyResourceId = DataMaskingPolicyResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, dataMaskingPolicyName);
DataMaskingPolicyResource dataMaskingPolicy = client.GetDataMaskingPolicyResource(dataMaskingPolicyResourceId);
// invoke the operation
DataMaskingPolicyData data = new DataMaskingPolicyData
{
DataMaskingState = DataMaskingState.Enabled,
ExemptPrincipals = "testuser;",
};
ArmOperation<DataMaskingPolicyResource> lro = await dataMaskingPolicy.UpdateAsync(WaitUntil.Completed, data);
DataMaskingPolicyResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
DataMaskingPolicyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;",
"maskingLevel": ""
}
}
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;",
"maskingLevel": ""
}
}
Create or update data masking policy min.
Beispielanforderung
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default?api-version=2025-01-01
{
"properties": {
"dataMaskingState": "Enabled"
}
}
import com.azure.resourcemanager.sql.fluent.models.DataMaskingPolicyInner;
import com.azure.resourcemanager.sql.models.DataMaskingPolicyName;
import com.azure.resourcemanager.sql.models.DataMaskingState;
/**
* Samples for DataMaskingPolicies CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
*/
/**
* Sample code: Create or update data masking policy min.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDataMaskingPolicyMin(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDataMaskingPolicies().createOrUpdateWithResponse("sqlcrudtest-6852",
"sqlcrudtest-2080", "sqlcrudtest-331", DataMaskingPolicyName.DEFAULT,
new DataMaskingPolicyInner().withDataMaskingState(DataMaskingState.ENABLED),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python data_masking_policy_create_or_update_min.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.data_masking_policies.create_or_update(
resource_group_name="sqlcrudtest-6852",
server_name="sqlcrudtest-2080",
database_name="sqlcrudtest-331",
parameters={"properties": {"dataMaskingState": "Enabled"}},
)
print(response)
# x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a database data masking policy.
*
* @summary creates or updates a database data masking policy.
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
*/
async function createOrUpdateDataMaskingPolicyMin() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.dataMaskingPolicies.createOrUpdate(
"sqlcrudtest-6852",
"sqlcrudtest-2080",
"sqlcrudtest-331",
{ dataMaskingState: "Enabled" },
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/DataMaskingPolicyCreateOrUpdateMin.json
// this example is just showing the usage of "DataMaskingPolicies_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this DataMaskingPolicyResource created on azure
// for more information of creating DataMaskingPolicyResource, please refer to the document of DataMaskingPolicyResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-6852";
string serverName = "sqlcrudtest-2080";
string databaseName = "sqlcrudtest-331";
DataMaskingPolicyName dataMaskingPolicyName = DataMaskingPolicyName.Default;
ResourceIdentifier dataMaskingPolicyResourceId = DataMaskingPolicyResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, dataMaskingPolicyName);
DataMaskingPolicyResource dataMaskingPolicy = client.GetDataMaskingPolicyResource(dataMaskingPolicyResourceId);
// invoke the operation
DataMaskingPolicyData data = new DataMaskingPolicyData
{
DataMaskingState = DataMaskingState.Enabled,
};
ArmOperation<DataMaskingPolicyResource> lro = await dataMaskingPolicy.UpdateAsync(WaitUntil.Completed, data);
DataMaskingPolicyResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
DataMaskingPolicyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "",
"maskingLevel": ""
}
}
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "",
"maskingLevel": ""
}
}
Definitionen
createdByType
Enumeration
Der Identitätstyp, der die Ressource erstellt hat.
| Wert |
Beschreibung |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DataMaskingPolicy
Objekt
Eine Datenbank-Datenmaskierungspolitik.
| Name |
Typ |
Beschreibung |
|
id
|
string
(arm-id)
|
Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
kind
|
string
|
Die Art von Datenmaskierungspolitik. Metadaten, verwendet für Azure Portal.
|
|
location
|
string
|
Der Standort der Datenmaskierungsrichtlinie.
|
|
name
|
string
|
Der Name der Ressource
|
|
properties.applicationPrincipals
|
string
|
Die Liste der Bewerbungsleiter. Dies ist ein Legacyparameter und wird nicht mehr verwendet.
|
|
properties.dataMaskingState
|
DataMaskingState
|
Der Status der Datenformatierungsrichtlinie.
|
|
properties.exemptPrincipals
|
string
|
Die Liste der ausgenommenen Prinzipale. Gibt die durch Semikolons getrennte Liste von Datenbankbenutzern an, für die die Datenformatierungsrichtlinie nicht gilt. Die angegebenen Benutzer erhalten Datenergebnisse, ohne für alle Datenbankabfragen maskieren zu müssen.
|
|
properties.maskingLevel
|
string
|
Das Maskierungsniveau. Dies ist ein Legacyparameter und wird nicht mehr verwendet.
|
|
systemData
|
systemData
|
Azure Resource Manager-Metadaten, die createdBy und modifiedBy-Informationen enthalten.
|
|
type
|
string
|
Der Typ der Ressource. Zum Beispiel "Microsoft. Compute/virtualMachines" oder "Microsoft. Speicher/Speicherkonten"
|
DataMaskingPolicyName
Enumeration
Der Name der Datenbank, für die die Datenmaskierungsrichtlinie gilt.
| Wert |
Beschreibung |
|
Default
|
Vorgabe
|
DataMaskingState
Enumeration
Der Status der Datenformatierungsrichtlinie.
| Wert |
Beschreibung |
|
Enabled
|
Aktiviert
|
|
Disabled
|
Deaktiviert
|
ErrorAdditionalInfo
Objekt
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name |
Typ |
Beschreibung |
|
info
|
object
|
Die zusätzlichen Informationen.
|
|
type
|
string
|
Der zusätzliche Informationstyp.
|
ErrorDetail
Objekt
Das Fehlerdetails.
| Name |
Typ |
Beschreibung |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Die zusätzlichen Informationen des Fehlers.
|
|
code
|
string
|
Der Fehlercode.
|
|
details
|
ErrorDetail[]
|
Die Fehlerdetails.
|
|
message
|
string
|
Die Fehlermeldung.
|
|
target
|
string
|
Das Fehlerziel.
|
ErrorResponse
Objekt
Fehlerantwort
| Name |
Typ |
Beschreibung |
|
error
|
ErrorDetail
|
Das Fehlerobjekt.
|
systemData
Objekt
Metadaten zur Erstellung und letzten Änderung der Ressource.
| Name |
Typ |
Beschreibung |
|
createdAt
|
string
(date-time)
|
Der Zeitstempel der Ressourcenerstellung (UTC).
|
|
createdBy
|
string
|
Die Identität, die die Ressource erstellt hat.
|
|
createdByType
|
createdByType
|
Der Identitätstyp, der die Ressource erstellt hat.
|
|
lastModifiedAt
|
string
(date-time)
|
Der Zeitstempel der letzten Änderung der Ressource (UTC)
|
|
lastModifiedBy
|
string
|
Die Identität, die die Ressource zuletzt geändert hat.
|
|
lastModifiedByType
|
createdByType
|
Der Identitätstyp, der die Ressource zuletzt geändert hat.
|